4

I'm having trouble determining the Qt package that provides qmake on Fedora 31. I already installed qt5-designer qconf qt5-devel qt5-qtbase qt5-qtbase-devel qt5-qttools qt5-qttools-devel (and dependencies).

$ dnf search qmake
Last metadata expiration check: 5 days...
============================= Name Matched: qmake ==============================
mingw32-qt5-qmake.x86_64 : Qt5 for Windows build environment
mingw64-qt5-qmake.x86_64 : Qt for Windows build environment
============================ Summary Matched: qmake ============================
qconf.x86_64 : Tool for generating configure script for qmake-based projects

qconf.x86_64 was installed but does not provide it.

$ dnf provides qmake
Last metadata expiration check: 5 days...
Error: No Matches found

Sorry about this lame question. I can usually find the package on my own.

Which package provides qmake on Fedora 31?


The following works as expected on Debian and Ubuntu. It fails on Fedora 31.

qt-ui$ qmake && make -j 5
bash: qmake: command not found...
Similar command is: 'make'

And:

$ lsb_release -a
LSB Version:    :core-4.1-amd64:core-4.1-noarch
Distributor ID: Fedora
Description:    Fedora release 31 (Thirty One)
Release:        31
Codename:       ThirtyOne
1
  • What does dnf provides '*/qmake' show for you?
    – rickhg12hs
    Dec 18, 2019 at 22:59

5 Answers 5

4

The easy way to find out is often just to try installing the file you want:

sudo dnf install /usr/bin/qmake

but in this case that won't work because the literal answer to your question is that nothing does - rather qmake-qt5 is provided by qt5-qtbase-devel and qmake-qt4 is provided by qt-devel.

So rather than running qtmake you will need to run one of those, depending on whether you are trying to build for Qt 4 or Qt 5.

2
  • 1
    Thanks @Tom. I believe the tool name is qmake, not qtmake.
    – jww
    Dec 18, 2019 at 13:14
  • It seems that qmake is really installed via qt-devel: rpm -q --whatprovides /usr/lib64/qt4/bin/qmake qt-devel-4.8.7-45.fc29.x86_64 Note also that you may need to adjust your PATH to find qmake there. Apr 2, 2020 at 10:42
2

Based on an earlier answer: https://superuser.com/a/1510943/631374

On Fedora 34 it is sudo dnf install qt6-qtbase-devel for QT6.

1
  • It's awesome, directly installed qmake and qmake6 on my desktop without any issue.
    – gaurav
    Nov 20, 2021 at 7:52
1

Try this way:

qt-ui$ qmake-qt5 && make -j 5
1
  • 1
    Welcome on the SU! I formatted your answer, but I suggest to explain, why qmake-qt5 helps while the ordinary qmake does not. Copy-paste answers don't look very well.
    – peterh
    May 4, 2020 at 14:36
1

On Fedora 33 I had to use sudo dnf install qt5-qtbase-devel to be able to use qmake-qt5.

0

On Fedora 32, it is qt-devel and qt5-devel for Qt4 and Qt5, respectively.

1
  • 1
    Looks like it calls the binary qmake-qt5
    – Qwertie
    Jun 19, 2020 at 23:32

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.